// ___SETA43  _____
// 16/03/2024 _____
//Mando  RF 433MHz  Emisor
//Arduino 1.8.19


#include <VirtualWire.h>
byte TxBuffer[2];
const int TX_DIO_Pin = 4;
int dato;

void setup() 
{
  
  pinMode(13, OUTPUT);

  vw_set_tx_pin(TX_DIO_Pin);
  vw_set_ptt_inverted(true);
  vw_setup(2000);


  pinMode(8,INPUT_PULLUP);
  pinMode(9,INPUT_PULLUP); pinMode(10,INPUT_PULLUP);
  pinMode(11,INPUT_PULLUP); pinMode(12,INPUT_PULLUP);

  Serial.begin(9600);
  Serial.println("CocheTX");
 
}

void loop() 
{
  delay(50);

 
  if(digitalRead(8)==0){ SendData(221);}
  if(digitalRead(9)==0){ SendData(253);}
  if(digitalRead(10)==0){ SendData(125);}
  if(digitalRead(11)==0){ SendData(159);}
  if(digitalRead(12)==0){ SendData(31);}

  
}



void SendData(int c)
{
    TxBuffer[0] = 0;
    TxBuffer[1] = c;
    vw_send((byte *)TxBuffer, 2);
    vw_wait_tx();   
    Serial.print("DatoSend="); Serial.println(c);
}
